xn::HandTouchingFOVEdgeCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::HandTouchingFOVEdgeCapability:
[legend]

## Public Types

typedef void(* | HandTouchingFOVEdge) (HandTouchingFOVEdgeCapability &touchingfov, XnUserID user, const XnPoint3D *pPosition, XnFloat fTime, XnDirection eDir, void *pCookie)

## Public Member Functions

| HandTouchingFOVEdgeCapability (XnNodeHandle hNode)
| HandTouchingFOVEdgeCapability (const NodeWrapper &node)
XnStatus | RegisterToHandTouchingFOVEdge (HandTouchingFOVEdge handler, void *pCookie, XnCallbackHandle &hCallback)
void | UnregisterFromHandTouchingFOVEdge (XnCallbackHandle hCallback)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Allows access to Hand touching FOV edge capability functions.

Usage: Do not instantiate directly. Instead, use HandsGenerator::GetHandTouchingFOVEdgeCap() to obtain an instance.

## Member Typedef Documentation

## HandTouchingFOVEdge

typedef void(* xn::HandTouchingFOVEdgeCapability::HandTouchingFOVEdge) (HandTouchingFOVEdgeCapability &touchingfov, XnUserID user, const XnPoint3D *pPosition, XnFloat fTime, XnDirection eDir, void *pCookie)

Callback for the hand getting close to the edge of the FOV

Parameters

  [in] | touchingfov | the hand touching fov edge capability that raised this event.
  [in] | user | ID of the hand that disappeared.
  [in] | pPosition | Position of the hand.
  [in] | fTime | Timestamp, in seconds.
  [in] | eDir | Direction of the FOV touched
  [in] | pCookie | User-provided cookie that was given when registering to this event.

## Constructor & Destructor Documentation

## HandTouchingFOVEdgeCapability() [1/2]

xn::HandTouchingFOVEdgeCapability::HandTouchingFOVEdgeCapability | ( | XnNodeHandle | hNode | ) |

inline

Ctor

Parameters

  [in] | hNode | Node handle

## HandTouchingFOVEdgeCapability() [2/2]

xn::HandTouchingFOVEdgeCapability::HandTouchingFOVEdgeCapability | ( | const NodeWrapper & | node | ) |

inline

## Member Function Documentation

## RegisterToHandTouchingFOVEdge()

XnStatus xn::HandTouchingFOVEdgeCapability::RegisterToHandTouchingFOVEdge | ( | HandTouchingFOVEdge | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

Registers an event handler for the 'Hand Touching FOV Edge' event.

Parameters

  [in] | handler | Callback function to be invoked when the event is raised.
  [in] | pCookie | User's cookie, to be delivered to the callback.
  [out] | hCallback | Handle to the callback to be used for unregistering it.

For full details and usage of the parameters, see Registering to Events.

## UnregisterFromHandTouchingFOVEdge()

void xn::HandTouchingFOVEdgeCapability::UnregisterFromHandTouchingFOVEdge | ( | XnCallbackHandle | hCallback | ) |

inline

Unregisters an event handler for the 'Hand Touching FOV Edge' event.

Parameters

  [in] | hCallback | Handle received from registration.

For full details and usage of the parameter, see Unregistering from Events .

The documentation for this class was generated from the following file:

- XnCppWrapper.h